Change the Elasticsearch Client

Magento 2.1 only supports Elasticsearch 2.0, which has reached End of Life.